<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:content="http://purl.org/rss/1.0/modules/content/"
	xmlns:wfw="http://wellformedweb.org/CommentAPI/"
	xmlns:dc="http://purl.org/dc/elements/1.1/"
>
	<xsl:template match="rss">
		<html>
			<head>
				<title>
					<xsl:value-of select="/rss/channel/title"/>
				</title>
				<link rel="stylesheet" type="text/css" href="http://deinedomain.com/rss2.css" />
			</head>

			<body>
				<div id="feed">
					<xsl:apply-templates/>

				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="channel">
	<div id="header">
		<xsl:apply-templates select="image"/>
		<h1>
			<xsl:element name="a">

				<xsl:attribute name="href">
					<xsl:value-of select="link" />
				</xsl:attribute>
				<xsl:value-of select="title" />
			</xsl:element>
		</h1>
		<p>Dies ist nur der ein RSS-Feed !! Die richtige Webseiten erreichen Sie <a href="http://deinedomain.com/">HIER</a>.</p>
		 <xsl:value-of select="description"/><br />
		Letzte &#196;nderung: <xsl:value-of select="substring(pubDate,5,18)"/><br />
	</div>
	<xsl:apply-templates select="item"/>
	</xsl:template>
	<xsl:template match="item">
		<div class="item">
			<h2>
			<xsl:element name="a">

				<xsl:attribute name="href">
					<xsl:value-of select="link" />
				</xsl:attribute>
				<xsl:value-of select="title" />
			</xsl:element>
			</h2>
			<p>

			<xsl:value-of select="description"/>
			<span class="morelink">
				<xsl:element name="a">
					<xsl:attribute name="href">
						<xsl:value-of select="link" />
					</xsl:attribute>
					[weiterlesen &gt;&gt;]
				</xsl:element>

			</span>
			</p>
			<xsl:if test="pubDate">
				<span class="itempubDate">Datum: <xsl:value-of select="substring(pubDate,5,18)"/></span>
			</xsl:if>

		</div>
	</xsl:template>
</xsl:stylesheet>